Highlighted
simondoe2010
1 Copper

Instantiating FPPool fails with SDK 3.4.757

We are about to update our application (platform Jboss) to SDK lib version 3.4.757.

With this version we get the following error, when connecting to Centera:

-10153: Failed to authenticate PEA data

It happens when instantiating an object of class FPPool:

this.pool=new FPPool(this.connectionString);

Following options/values are set:

FPPool.RegisterApplication(appName, appVersion);

FPPool.setGlobalOption("embedding_threshold", blobSize);

FPPool.setGlobalOption("openstrategy", 1); //FP_LAZY_OPEN

connectionString=168.159.214.19,168.159.214.20,168.159.214.21,168.159.214.22?/c1armtesting.pea

With SDK version 3.2.705 and 3.3.719 we don't see this error.

Do others face the same issue?

Any thoughts appreciated,

Simon

----------------

Update:

The PAI module version 3.4.107 seems to be the reason for the failed connection.

Since PAI module is a separately loadable module, I tried as workaround to link the PAI library to the former version 3.3.10.

Connecting to Cluster now works.

Message was edited by: Simon Schlosser

Tags (1)
0 Kudos
9 Replies
YACentera
1 Nickel

Re: Instantiating FPPool fails with SDK 3.4.757

Greetings Simon,

Our SDK dev looking into the PAI module issue wrt using pea files.  I shall update you once i have more detail.

yohannes

0 Kudos
svuksic
1 Copper

Re: Instantiating FPPool fails with SDK 3.4.757

Hello,

we also have same problem. With version 3.3.718 everything works great but with version 3.4.757 got error:

com.filepool.fplibrary.FPLibraryException: Failed to authenticate PEA data

0 Kudos
YACentera
1 Nickel

Re: Instantiating FPPool fails with SDK 3.4.757

Hi Simon,

I am working on getting 3.4 packaging updated which will take 72hrs, please grab the correct build from the below ftp link till then,

If connecting from a *NIX machine or a machine that supports sftp functionality the connection string is:

sftp x3IXA4qpn@ftp.emc.com

Password: r4BABr0r44

Connecting via a web browser

https://ftp.emc.com/action/login?domain=ftp.emc.com&username=x3IXA4qpn&password=r4BABr0r44

From a Windows machine please consider using an SFTP enabled file transfer clients like WinSCP, FileZilla, Cyberduck etc.

Be sure to enable SFTP in the session since may not be the default.

Note: For connections over SFTP to work, port 22 needs to be open in your networks firewall

===== Non-Secure Transfer Methods ====

Command line Connection Strings

ftp ftp.emc.com

User Name (login) x3IXA4qpn

Password: r4BABr0r44

---URL's-

Windows Explorer URL

ftp://x3IXA4qpn:r4BABr0r44@ftp.emc.com

0 Kudos
simondoe2010
1 Copper

Re: Instantiating FPPool fails with SDK 3.4.757

Hi Yohannes,

looks like that at least the following package was not updated to version libPAI_moduleXX.so.3.4.108 in the download area

Centera_SDK_Linux-gcc4.tgz

Could you please investigate.

Regards, Simon

YACentera
1 Nickel

Re: Instantiating FPPool fails with SDK 3.4.757

Greetings Simon,

Looks like the gcc4 still pointing to old package working with the ECN team to clear out the cached obj. In mean time could you please grab it from below ftp link.

If connecting from a *NIX machine or a machine that supports sftp functionality the connection string is:

sftp 9tgXkPFuE@ftp.emc.com<mailto:9tgXkPFuE@ftp.emc.com>

Password: gBBOgN2OON

Connecting via a web browser

https://ftp.emc.com/action/login?domain=ftp.emc.com&username=9tgXkPFuE&password=gBBOgN2OON

From a Windows machine please consider using an SFTP enabled file transfer clients like WinSCP, FileZilla, Cyberduck etc.

Be sure to enable SFTP in the session since may not be the default.

Note: For connections over SFTP to work, port 22 needs to be open in your networks firewall

===== Non-Secure Transfer Methods ====

Command line Connection Strings

ftp ftp.emc.com<ftp://ftp.emc.com>

User Name (login) 9tgXkPFuE

Password: gBBOgN2OON

---URL's-

Windows Explorer URL

ftp://9tgXkPFuE:gBBOgN2OON@ftp.emc.com

Automatic account removal after 7 days on Tue Jan 12 @ 12:00

Best Regards,

Yohannes/

This e-mail message and any files transmitted with it contain confidential information

intended only for the person(s) to whom this e-mail message is addressed

P Please don't print this e-mail unless you really need to.

0 Kudos
YACentera
1 Nickel

Re: Instantiating FPPool fails with SDK 3.4.757

Greetings Simon,

working with ECN team to clear out the old package. it will take 24hrs but in meantime you can download it from the below link,

If connecting from a *NIX machine or a machine that supports sftp functionality the connection string is:

sftp 9tgXkPFuE@ftp.emc.com

Password: gBBOgN2OON

Connecting via a web browser

https://ftp.emc.com/action/login?domain=ftp.emc.com&username=9tgXkPFuE&password=gBBOgN2OON

From a Windows machine please consider using an SFTP enabled file transfer clients like WinSCP, FileZilla, Cyberduck etc.

Be sure to enable SFTP in the session since may not be the default.

Note: For connections over SFTP to work, port 22 needs to be open in your networks firewall

===== Non-Secure Transfer Methods ====

Command line Connection Strings

ftp ftp.emc.com

User Name (login) 9tgXkPFuE

Password: gBBOgN2OON

---URL's-

Windows Explorer URL

ftp://9tgXkPFuE:gBBOgN2OON@ftp.emc.com

Automatic account removal after 7 days  on Tue Jan 12 @ 12:00

0 Kudos
stevens94
1 Copper

Re: Instantiating FPPool fails with SDK 3.4.757

It is now a year later and the bad SDK 3.4.757 (with nonworking FPPool_Open) is still the default download. I can't believe how much time I wasted trying to get this SDK to work (both Windows and Linux versions) before discovering this post. C'mon EMC, get with the program.

The previous version 3.3.719 works fine.

0 Kudos
8 Krypton

Re: Instantiating FPPool fails with SDK 3.4.757

Hi all

Currently no SDK downloads at all seem to be possible. Please fix this and put a version behind the links that fix the pai module issue.

Thanks, Holger

0 Kudos
simondoe2010
1 Copper

Re: Instantiating FPPool fails with SDK 3.4.757

Hi

does not seem to me that EMC has an update on that in the meanwhile...

I can send you patched versions of SDK 3.4.757 provided by YACentera (see previous post), if you want.

Let me know which of the versions you need (linux-gcc3 and/or 4). Win32/64 and Dev8/Dev11.

Regards, Simon

0 Kudos